List brokerage firm policies
curl --request POST \
--url https://api.example.com/view-specific/{brokerageFirmId}/policies \
--header 'Content-Type: application/json' \
--data '
{
"pageInfo": {
"count": 10,
"page": 1
},
"statuses": [],
"customStatuses": [
"<string>"
],
"businessIntroducers": [
"<string>"
],
"startedAt": {
"start": "<string>",
"end": "<string>"
},
"stoppedAt": {
"start": "<string>",
"end": "<string>"
},
"endedAt": {
"start": "<string>",
"end": "<string>"
},
"createdAt": {
"start": "<string>",
"end": "<string>"
},
"hasAcknowledgedAlerts": true,
"expandCustomers": true,
"expandAssets": true,
"expandBrokerageFirm": true,
"expandDerogations": true,
"queryString": "<string>",
"brokerageFirmName": "<string>",
"derogationStatuses": [],
"productIds": [
"<string>"
],
"stopReasons": [
"<string>"
]
}
'import requests
url = "https://api.example.com/view-specific/{brokerageFirmId}/policies"
payload = {
"pageInfo": {
"count": 10,
"page": 1
},
"statuses": [],
"customStatuses": ["<string>"],
"businessIntroducers": ["<string>"],
"startedAt": {
"start": "<string>",
"end": "<string>"
},
"stoppedAt": {
"start": "<string>",
"end": "<string>"
},
"endedAt": {
"start": "<string>",
"end": "<string>"
},
"createdAt": {
"start": "<string>",
"end": "<string>"
},
"hasAcknowledgedAlerts": True,
"expandCustomers": True,
"expandAssets": True,
"expandBrokerageFirm": True,
"expandDerogations": True,
"queryString": "<string>",
"brokerageFirmName": "<string>",
"derogationStatuses": [],
"productIds": ["<string>"],
"stopReasons": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
pageInfo: {count: 10, page: 1},
statuses: [],
customStatuses: ['<string>'],
businessIntroducers: ['<string>'],
startedAt: {start: '<string>', end: '<string>'},
stoppedAt: {start: '<string>', end: '<string>'},
endedAt: {start: '<string>', end: '<string>'},
createdAt: {start: '<string>', end: '<string>'},
hasAcknowledgedAlerts: true,
expandCustomers: true,
expandAssets: true,
expandBrokerageFirm: true,
expandDerogations: true,
queryString: '<string>',
brokerageFirmName: '<string>',
derogationStatuses: [],
productIds: ['<string>'],
stopReasons: ['<string>']
})
};
fetch('https://api.example.com/view-specific/{brokerageFirmId}/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"customerIds": [
"<string>"
],
"policyId": "<string>",
"branches": [
{
"policy": {
"id": "<string>",
"productId": "<string>",
"createdAt": "<string>",
"lastModifiedAt": "<string>",
"hasOpenedClientAccount": true,
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"externalId": "<string>",
"author": {
"firstName": "<string>",
"lastName": "<string>",
"userId": "<string>",
"email": "<string>",
"brokerRole": "<string>"
},
"startedAt": "<string>",
"stoppedAt": "<string>",
"signedAt": "<string>",
"stop": {
"reason": "<string>",
"details": [
{
"key": "<string>",
"value": "<string>"
}
],
"createdAt": "<string>"
},
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
},
"branch": {
"branchId": "<string>",
"createdAt": "<string>",
"mergedAt": "<string>",
"derogations": [
{
"derogationId": "<string>",
"createdAt": "<string>"
}
]
},
"customers": [
{
"type": "<string>",
"id": "<string>",
"createdAt": "<string>",
"lastModifiedAt": "<string>",
"role": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>"
}
],
"assets": [
{
"id": "<string>",
"lastModifiedAt": "<string>",
"createdAt": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"startedAt": "<string>",
"stoppedAt": "<string>",
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"brokerageFirm": {
"id": "<string>",
"companyInfo": {
"siret": "<string>",
"siren": "<string>",
"nafCode": "<string>",
"nafLabel": "<string>",
"name": "<string>",
"creationDate": "<string>",
"location": {
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postCode": "<string>"
},
"legalStatus": {
"1": "<string>",
"2": "<string>",
"3": "<string>"
},
"headcount": "<string>"
},
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"parentBrokerageFirm": {
"id": "<string>",
"companyInfo": {
"siret": "<string>",
"siren": "<string>",
"nafCode": "<string>",
"nafLabel": "<string>",
"name": "<string>",
"creationDate": "<string>",
"location": {
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postCode": "<string>"
},
"legalStatus": {
"1": "<string>",
"2": "<string>",
"3": "<string>"
},
"headcount": "<string>"
},
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"derogations": [
{
"id": "<string>",
"policyId": "<string>"
}
]
}
]
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}view-specific
List brokerage firm policies
POST
/
view-specific
/
{brokerageFirmId}
/
policies
List brokerage firm policies
Path Parameters
Body
application/json
View type
Available options:
newBusiness, derogation, live the page info
Show child attributes
Show child attributes
the sort options
Show child attributes
Show child attributes
Statuses to filter by
Available options:
POLICY_CREATED, POLICY_QUOTED, POLICY_CONFIRMED, POLICY_STARTED, POLICY_STOPPED, POLICY_SUSPENDED Custom statuses to filter by
Business introducers to filter by
Started at range
Show child attributes
Show child attributes
Stopped at range
Show child attributes
Show child attributes
Ended at range (contract end date / due date)
Show child attributes
Show child attributes
Created at range
Show child attributes
Show child attributes
Optional: if filled, returns policies with at least one alert which acknowledgement matches this attribute
Full text search
Brokerage firm name
Filter by derogation status
Available options:
PENDING, DECLINED, APPROVED List of product ids
List of stop reasons to filter by
Response
200 - application/json
Was this page helpful?
⌘I

